summaryrefslogtreecommitdiffstats
path: root/system/makefile2graph/makefile2graph.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/makefile2graph/makefile2graph.SlackBuild')
-rw-r--r--system/makefile2graph/makefile2graph.SlackBuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/system/makefile2graph/makefile2graph.SlackBuild b/system/makefile2graph/makefile2graph.SlackBuild
new file mode 100644
index 0000000000..366e81ff41
--- /dev/null
+++ b/system/makefile2graph/makefile2graph.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for makefile2graph
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=makefile2graph
+VERSION=${VERSION:-1.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod 644 *
+
+make -j1 \
+ CFLAGS="$SLKCFLAGS -Wl,-s" DESTDIR=$PKG \
+ prefix=/usr man1dir=/usr/man/man1 pkgdocdir=/usr/doc/$PRGNAM-$VERSION \
+ all install
+
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/* $PKG/usr/man/man1/*
+gzip -9 $PKG/usr/man/man1/*.1
+ln -s make2graph.1.gz $PKG/usr/man/man1/$PRGNAM.1.gz
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}